Bug 2209755 - [CISA Major Incident] CVE-2023-32373 webkitgtk: a use-after-free when processing maliciously crafted web content [fedora-all]
Summary: [CISA Major Incident] CVE-2023-32373 webkitgtk: a use-after-free when process...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: webkitgtk
Version: 38
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
Assignee: Michael Catanzaro
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2023-32373
TreeView+ depends on / blocked
 
Reported: 2023-05-24 16:15 UTC by Marian Rehak
Modified: 2023-06-03 02:45 UTC (History)
4 users (show)

Fixed In Version: webkitgtk-2.40.2-1.fc37 webkitgtk-2.40.2-1.fc38
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-06-03 02:15:54 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description Marian Rehak 2023-05-24 16:15:11 UTC
More information about this security flaw is available in the following bug:

http://bugzilla.redhat.com/show_bug.cgi?id=2209214

Disclaimer: Community trackers are created by Red Hat Product Security team on a best effort basis. Package maintainers are required to ascertain if the flaw indeed affects their package, before starting the update process.

Comment 1 Marian Rehak 2023-05-24 16:15:14 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# low, medium, high, urgent (required)
severity=high

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=2209214,2209755

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Fedora Update System 2023-05-31 14:03:52 UTC
FEDORA-2023-9e75e38b47 has been submitted as an update to Fedora 38. https://bodhi.fedoraproject.org/updates/FEDORA-2023-9e75e38b47

Comment 3 Fedora Update System 2023-05-31 14:03:55 UTC
FEDORA-2023-23cc337543 has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2023-23cc337543

Comment 4 Fedora Update System 2023-06-01 01:47:49 UTC
FEDORA-2023-23cc337543 has been pushed to the Fedora 37 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-23cc337543`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-23cc337543

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 5 Fedora Update System 2023-06-01 03:16:23 UTC
FEDORA-2023-9e75e38b47 has been pushed to the Fedora 38 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-9e75e38b47`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-9e75e38b47

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2023-06-03 02:15:54 UTC
FEDORA-2023-23cc337543 has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 7 Fedora Update System 2023-06-03 02:45:01 UTC
FEDORA-2023-9e75e38b47 has been pushed to the Fedora 38 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.